<?

if ($_SERVER['argc']<2) {
	 echo "check_load.php adres_do_strony_zwracajcej_wynik_komendy_uptime [loadWarn] [loadCrit]";
	 exit(1);
}

$f = fopen($_SERVER['argv'][1], "r");
$txt = fread($f, 1000);

$loadWarn = @$_SERVER['argv'][2];
$loadCrit = @$_SERVER['argv'][3];
if (!$loadWarn) $loadWarn = 5;
if (!$loadCrit) $loadCrit = 10;

if (preg_match('/load average: [\\d.]+, ([\\d.]+)/s', $txt, $tab)) {
	$load = intval($tab[1]);
	preg_match('/load average: ([\\d. ,]+)/s', $txt, $tab);
	echo "$txt\r\n\r\nload=$load";
	echo "<konnekt:info>{$tab[1]}</konnekt:info>";
	if (($load >= $loadWarn)) {
		echo "<konnekt:notify>Overload $load !!!</konnekt:notify>";
		exit(1);
	} else if (($load >= $loadCrit)) {
		echo "<konnekt:notify>CRITICAL overload $load !!!</konnekt:notify>";
		exit(10);
	} else {
		echo "<konnekt:notify>Load stable :)</konnekt:notify>";
		exit(0);
	}
} else {
	exit(1);
}


?>